GTCONFIG(8)

NAME
gtconfig - initialize the GT Graphics Accelerator and download microcode.

SYNOPSIS
/usr/etc/gtconfig [ -d device-filename ] [ -f filename ] [ -s0 filename ] [ -s1 filename ] [ -I microcode-directory ] [ -E bit-code ] [ -g|G gamma-value ] [ -degamma8|DEGAMMA8 on|off [ -i ] [ -m|M monitor-type ] [ -c 1-14 ] [ -w 2-9 ] [ -v ]

DESCRIPTION

gtconfig initializes the GT Graphics Accelerator and downloads microcode from the host. It is normally run as a part of /etc/rc.local to download GT microcode files and to complete GT initialization.

The standard version of the file /etc/rc.local contains the following gtconfig command line:

    /usr/etc/gtconfig

If another configuration is desired, edit the command line in /etc/rc.local.

It is inadvisable to run the gtconfig command while the configured device is being used; unpredictable results may occur. If it is necessary to change the gtconfig command, bring the system down gently, boot single user, edit the gtconfig line in the /etc/rc.local file, and bring the system back up multi-user.

Filenames may be either relative or absolute pathnames. Relative pathnames are prepended with the path specified by -I, or the default path /usr/lib.

OPTIONS

-d device-filename
    Specifies the GT special file. The default is /dev/gt0.

-f filename
    Specifies the Front End microcode file. The default is gt.ucode.

-s0 filename
    Specifies the Setup Processor 0 microcode file. The default is gt.c30.ucode.

-s1 filename
    Specifies the Setup Processor 1 microcode file. The default is gt.c31.ucode.

-I microcode-directory
    Specifies the directory containing microcode files. The default is /usr/lib.

-E bit-code
    Initializes the cursor enable plane to contain all zeros or all ones. The default is 0.

-g gamma-value
    Specifies the gamma correction value. The default is 2.22.

-G gamma-value
    Loads the gamma correction table only; does not initialize the GT or download microcode.

-degamma8 on|off
    Specifies automatic inverse gamma correction of 8-bit indexed color maps. This allows colormaps with built-in gamma correction to work properly on GT. The default is on.

-DEGAMMA8 on|off
    Like degamma8, but only specifies automatic inverse gamma correction; does not otherwise initialize GT or download microcode.

-i  Initialize the GT backend.

-m monitor-type
    Specifies the monitor type of 1280_76, 1280_67, or stereo. The default is 1280_67.

-M monitor-type
    Sets the monitor type only; does not initialize the GT or download microcode.

-c 1-14
    Sets the OpenWindows server CLUT quota. The default is 8.

-w 2-9
    Sets the OpenWindows server WID plane quota. The default is 5.

-v  Sets verbose mode.

FILES
/dev/gt0
    GT Graphics Accelerator file
gt.ucode
    GT Front End microcode file
gt.c30.ucode
    Setup Processor 0 microcode file
gt.c31.ucode
    Setup Processor 1 microcode file
/usr/lib
    directory that normally contains the microcode files
/etc/rc.local
    local boot script

SEE ALSO
gt(4S), fbio(4S), mmap(2),